//
//  Connection.m
//  LoadContentDemo
//
//  Created by Brian Halpin on 22/11/2012.
//  Copyright (c) 2012 Brian Halpin. All rights reserved.
//

#import "Connection.h"
#import "Reachability.h"

@implementation Connection

#pragma mark - Check network conenction

+ (BOOL)networkConnectionAvailable
{
    Reachability *reachability = [Reachability reachabilityForInternetConnection];
    NetworkStatus networkStatus = [reachability currentReachabilityStatus];
    
    if (networkStatus == NotReachable)
    {
        return NO;
    }
    else
    {
        return YES;
    }
}

+ (NSString *)networkStatus
{
    Reachability *reachability = [Reachability reachabilityForInternetConnection];
    
    NetworkStatus netStatus = [reachability currentReachabilityStatus];
    BOOL connectionRequired= [reachability connectionRequired];
    NSString *networkStatus = @"";
    
    switch (netStatus)
    {
        case NotReachable:
        {
            networkStatus = @"Access Not Available";
            connectionRequired= NO;
            break;
        }
            
        case ReachableViaWWAN:
        {
            networkStatus = @"Reachable WWAN";
            break;
        }
        case ReachableViaWiFi:
        {
            networkStatus= @"Reachable WiFi";
            break;
        }
    }
    
    if(connectionRequired)
    {
        networkStatus= [NSString stringWithFormat: @"%@, Connection Required", networkStatus];
    }
    
    return networkStatus;
}

@end
